EVM user modify
curl --request POST \
--url https://api.hyperliquid.xyz/exchange \
--header 'Content-Type: application/json' \
--data '
{
"action": {
"type": "evmUserModify",
"usingBigBlocks": true
},
"nonce": 1705234567890,
"signature": {
"r": "0x0000000000000000000000000000000000000000000000000000000000000000",
"s": "0x0000000000000000000000000000000000000000000000000000000000000000",
"v": 27
},
"vaultAddress": null
}
'import requests
url = "https://api.hyperliquid.xyz/exchange"
payload = {
"action": {
"type": "evmUserModify",
"usingBigBlocks": True
},
"nonce": 1705234567890,
"signature": {
"r": "0x0000000000000000000000000000000000000000000000000000000000000000",
"s": "0x0000000000000000000000000000000000000000000000000000000000000000",
"v": 27
},
"vaultAddress": None
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
action: {type: 'evmUserModify', usingBigBlocks: true},
nonce: 1705234567890,
signature: {
r: '0x0000000000000000000000000000000000000000000000000000000000000000',
s: '0x0000000000000000000000000000000000000000000000000000000000000000',
v: 27
},
vaultAddress: null
})
};
fetch('https://api.hyperliquid.xyz/exchange', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"response": {}
}Hyperliquid node API
evmUserModify | Hyperliquid exchange
Modifies user settings from the HyperEVM side. Allows EVM-based accounts to update their Hyperliquid L1 configuration. On Hyperliquid exchange.
POST
/
exchange
EVM user modify
You can only use this endpoint on the official Hyperliquid public API. It is not available through Chainstack, as the open-source node implementation does not support it yet. See Hyperliquid methods for the full availability breakdown.
This endpoint requires signature authentication. See our comprehensive Authentication via Signatures guide for implementation details.
Get your own node endpoint todayStart for free and get your app to production levels immediately. No credit card required.You can sign up with your GitHub, X, Google, or Microsoft account.
Parameters
Required parameters
action(object, required) — The action object containing:type(string) — Must be"evmUserModify"modifications(array) — Array of modification objects
nonce(number, required) — Current timestamp in milliseconds (must be recent)signature(object, required) — EIP-712 signature of the action
Optional parameters
vaultAddress(string, optional) — Address when trading on behalf of a vault or subaccount
Returns
Returns an object with the action status:status—"ok"if request processedresponse— Contains action result data
Example request
curl -X POST https://api.hyperliquid.xyz/exchange \
-H "Content-Type: application/json" \
-d '{
"action": {"type": "evmUserModify"},
"nonce": 1234567890123,
"signature": {...}
}'
import eth_account
from hyperliquid.exchange import Exchange
from hyperliquid.utils import constants
# Load the wallet that signs the action.
wallet = eth_account.Account.from_key("YOUR_PRIVATE_KEY")
# evmUserModify is public-only, so use the Hyperliquid mainnet API.
exchange = Exchange(wallet, constants.MAINNET_API_URL)
# Configure the block type for HyperEVM transactions.
result = exchange.use_big_blocks(True)
print(result)
import { ExchangeClient, HttpTransport } from "@nktkas/hyperliquid";
import { privateKeyToAccount } from "viem/accounts";
// Load the wallet that signs the action.
const wallet = privateKeyToAccount("0x...");
// evmUserModify is public-only, so use the default Hyperliquid transport.
const transport = new HttpTransport();
const client = new ExchangeClient({ transport, wallet });
// Configure the block type for HyperEVM transactions.
const result = await client.evmUserModify({ usingBigBlocks: true });
console.log(result);
Use case
- EVM user modify — Modifies user settings from the HyperEVM side. Allows EVM-based accounts to update their Hyperliquid L1 configuration.
Always ensure your system clock is synchronized. Nonce must be within a reasonable time window of the current server time or the request will be rejected.
Body
application/json
Last modified on June 24, 2026
Was this page helpful?